%define upstream_name    Pod-WikiDoc
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Examples of Pod::WikiDoc usage
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find) >= 1.0.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.0.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Getopt::Lucid) >= 0.140.0
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::String) >= 1.60.0
BuildRequires: perl(IPC::Run3) >= 0.33.0
BuildRequires: perl(Parse::RecDescent) >= 1.967.6
BuildRequires: perl(Pod::Usage) >= 1.0.0
BuildRequires: perl(Probe::Perl) >= 0.10.0
BuildRequires: perl(Scalar::Util) >= 1.20.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Pod works well, but writing it can be time-consuming and tedious. For
example, commonly used layouts like lists require numerous lines of text to
make just a couple of simple points. An alternative approach is to write
documentation in a wiki-text shorthand (referred to here as _wikidoc_) and
use Pod::WikiDoc to extract it and convert it into its corresponding Pod as
a separate '.pod' file.

Documentation written in wikidoc may be embedded in Pod format blocks, or,
optionally, in specially marked comment blocks. Wikidoc uses simple
text-based markup like wiki websites to indicate formatting and links. (See
the /WIKIDOC MARKUP manpage, below.)

Pod::WikiDoc processes text files (or text strings) by extracting both
existing Pod and wikidoc, converting the wikidoc to Pod, and then writing
the combined document back to a file or standard output.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.210.0-5.mga9
+ Revision: 1810144
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-4.mga8
+ Revision: 1506099
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.210.0-3.mga7
+ Revision: 1285833
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.210.0-2.mga7
+ Revision: 1166300
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.210.0-1.mga7
+ Revision: 1157973
- update to 0.21

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-8.mga6
+ Revision: 1032402
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.200.0-7.mga6
+ Revision: 948687
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.200.0-6.mga5
+ Revision: 788229
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 750451
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 686048
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 514279
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 372119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 219714
- update to 0.20

* Mon Jan 24 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 36511
- mageia rebuild
- imported package perl-Pod-WikiDoc

